Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(371)

Side by Side Diff: chrome_linux/installer/common/postinst.include

Issue 85333005: Update reference builds to Chrome 32.0.1700.19 (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/deps/reference_builds/
Patch Set: Created 7 years ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch | Annotate | Revision Log
« no previous file with comments | « chrome_linux/chrome_sandbox ('k') | chrome_linux/installer/common/prerm.include » ('j') | no next file with comments »
Toggle Intra-line Diffs ('i') | Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
OLDNEW
1 # Add icons to the system icons 1 # Add icons to the system icons
2 XDG_ICON_RESOURCE="`which xdg-icon-resource 2> /dev/null`" 2 XDG_ICON_RESOURCE="`which xdg-icon-resource 2> /dev/null || true`"
3 if [ ! -x "$XDG_ICON_RESOURCE" ]; then 3 if [ ! -x "$XDG_ICON_RESOURCE" ]; then
4 echo "Error: Could not find xdg-icon-resource" >&2 4 echo "Error: Could not find xdg-icon-resource" >&2
5 exit 1 5 exit 1
6 fi 6 fi
7 for icon in "@@INSTALLDIR@@/product_logo_"*.png; do 7 for icon in "@@INSTALLDIR@@/product_logo_"*.png; do
8 size="${icon##*/product_logo_}" 8 size="${icon##*/product_logo_}"
9 "$XDG_ICON_RESOURCE" install --size "${size%.png}" "$icon" "@@PACKAGE@@" 9 "$XDG_ICON_RESOURCE" install --size "${size%.png}" "$icon" "@@PACKAGE@@"
10 done 10 done
11 11
12 # Add an entry to the system menu 12 # Add an entry to the system menu
13 XDG_DESKTOP_MENU="`which xdg-desktop-menu 2> /dev/null`" 13 XDG_DESKTOP_MENU="`which xdg-desktop-menu 2> /dev/null || true`"
14 UPDATE_MENUS="`which update-menus 2> /dev/null`" 14 UPDATE_MENUS="`which update-menus 2> /dev/null || true`"
15 if [ ! -x "$XDG_DESKTOP_MENU" ]; then 15 if [ ! -x "$XDG_DESKTOP_MENU" ]; then
16 echo "Error: Could not find xdg-desktop-menu" >&2 16 echo "Error: Could not find xdg-desktop-menu" >&2
17 exit 1 17 exit 1
18 fi 18 fi
19 "$XDG_DESKTOP_MENU" install @@INSTALLDIR@@/@@PACKAGE@@.desktop 19 "$XDG_DESKTOP_MENU" install @@INSTALLDIR@@/@@PACKAGE@@.desktop
20 20
21 if [ -x "$UPDATE_MENUS" ]; then 21 if [ -x "$UPDATE_MENUS" ]; then
22 update-menus 22 update-menus
23 fi 23 fi
24 24
(...skipping 15 matching lines...) Expand all
40 # is safe to leave even after uninstall), update it. 40 # is safe to leave even after uninstall), update it.
41 GNOME_DFL_APPS=/usr/share/gnome-control-center/gnome-default-applications.xml 41 GNOME_DFL_APPS=/usr/share/gnome-control-center/gnome-default-applications.xml
42 if [ -f "$GNOME_DFL_APPS" ]; then 42 if [ -f "$GNOME_DFL_APPS" ]; then
43 # Conditionally insert the contents of the file "default-app-block" after the 43 # Conditionally insert the contents of the file "default-app-block" after the
44 # first "<web-browsers>" line we find in gnome-default-applications.xml 44 # first "<web-browsers>" line we find in gnome-default-applications.xml
45 fgrep -q "@@MENUNAME@@" "$GNOME_DFL_APPS" || insert_after_first_match \ 45 fgrep -q "@@MENUNAME@@" "$GNOME_DFL_APPS" || insert_after_first_match \
46 "$GNOME_DFL_APPS" \ 46 "$GNOME_DFL_APPS" \
47 "^[ ]*<web-browsers>[ ]*$" \ 47 "^[ ]*<web-browsers>[ ]*$" \
48 "@@INSTALLDIR@@/default-app-block" 48 "@@INSTALLDIR@@/default-app-block"
49 fi 49 fi
OLDNEW
« no previous file with comments | « chrome_linux/chrome_sandbox ('k') | chrome_linux/installer/common/prerm.include » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698